//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>
#include <WSCclassInformation.h>
//--- OBJECT includes ---//
#include <numfield.h>

#include <WSCform.h>
#include <WSCvarrow.h>
#include <WSCvifield.h>


//Initializing of class...
WSMFguiClassInitialize(numfield,WSCform);

WSMFversion(numfield,WSCform);

WSMFpropertyValueChange(numfield,WSNwidth,WSCushort,250);
WSMFpropertyValueChange(numfield,WSNheight,WSCushort,50);
void numfield::_property_initialize(){
  _value = (long)0;
  numvarr_001 = NULL;
  numvifi_002 = NULL;
  numvarr_003 = NULL;

  WSMFpropertyCreateStart
    //Check Version...
    WSMFparentCheckVerSrc(numfield);

  WSMFpropertyCreate(WSNvalue,long,_value,"value");
  WSMFpropertyValueChangeDef(numfield,WSNwidth,WSCushort);
  WSMFpropertyValueChangeDef(numfield,WSNheight,WSCushort);
  WSMFpropertyCreateEnd
}
void numfield::_property_delete(){
}
WSMFproperty(numfield,WSNvalue,long,_value,0);
long numfield::objectInitialize(){
  	numvarr_001 = new  WSCvarrow(this,"numvarr_001");
	numvarr_001->initialize();
	numvarr_001->setInternalObject(True);
	numvarr_001->setUserData(WS_BASE_CLASS,(void*)this);
	numvarr_001->setPropertyV(WSNarrowDirection,(char)4);
	numvarr_001->setPropertyV(WSNvis,(WSCbool)1);
	numvarr_001->setPropertyV(WSNx,(short)202);
	numvarr_001->setPropertyV(WSNy,(short)2);
	numvarr_001->setPropertyV(WSNwidth,(unsigned short)46);
	numvarr_001->setPropertyV(WSNheight,(unsigned short)46);
	WSCprocedure* op_numvarr_001_5 = new WSCprocedure("new_ep",2);
	op_numvarr_001_5->setFunction(downep,"downep");
	op_numvarr_001_5->setInternal(True);
	numvarr_001->addProcedure(op_numvarr_001_5);

	numvifi_002 = new  WSCvifield(this,"numvifi_002");
	numvifi_002->initialize();
	numvifi_002->setInternalObject(True);
	numvifi_002->setUserData(WS_BASE_CLASS,(void*)this);
	numvifi_002->setPropertyV(WSNlabelString,"0");
	numvifi_002->setPropertyV(WSNfont,(unsigned char)8);
	numvifi_002->setPropertyV(WSNvis,(WSCbool)1);
	numvifi_002->setPropertyV(WSNx,(short)2);
	numvifi_002->setPropertyV(WSNy,(short)2);
	numvifi_002->setPropertyV(WSNwidth,(unsigned short)154);
	numvifi_002->setPropertyV(WSNheight,(unsigned short)46);
	WSCprocedure* op_numvifi_002_5 = new WSCprocedure("new_ep",18);
	op_numvifi_002_5->setFunction(numkey,"numkey");
	op_numvifi_002_5->setInternal(True);
	numvifi_002->addProcedure(op_numvifi_002_5);
	WSCprocedure* op_numvifi_002_6 = new WSCprocedure("new_ep",3);
	op_numvifi_002_6->setFunction(update,"update");
	op_numvifi_002_6->setInternal(True);
	numvifi_002->addProcedure(op_numvifi_002_6);

	numvarr_003 = new  WSCvarrow(this,"numvarr_003");
	numvarr_003->initialize();
	numvarr_003->setInternalObject(True);
	numvarr_003->setUserData(WS_BASE_CLASS,(void*)this);
	numvarr_003->setPropertyV(WSNvis,(WSCbool)1);
	numvarr_003->setPropertyV(WSNx,(short)156);
	numvarr_003->setPropertyV(WSNy,(short)2);
	numvarr_003->setPropertyV(WSNwidth,(unsigned short)46);
	numvarr_003->setPropertyV(WSNheight,(unsigned short)46);
	WSCprocedure* op_numvarr_003_5 = new WSCprocedure("new_ep",2);
	op_numvarr_003_5->setFunction(upep,"upep");
	op_numvarr_003_5->setInternal(True);
	numvarr_003->addProcedure(op_numvarr_003_5);

	setUserData(WS_BASE_CLASS,(void*)this);
//	setPropertyV(WSNx,(short)40);
//	setPropertyV(WSNy,(short)74);
//	setPropertyV(WSNwidth,(unsigned short)250);
//	setPropertyV(WSNheight,(unsigned short)50);
//	setPropertyV(WSNvis,(WSCbool)1);
	WSCprocedure* op_numfield_5 = new WSCprocedure("new_ep",10);
	op_numfield_5->setFunction(resizeep,"resizeep");
	op_numfield_5->setInternal(True);
	addProcedure(op_numfield_5);

    return WS_NO_ERR;
}
//end of src
